بولتن امنیتی اندروید - مارس 2020

منتشر شده در 2 مارس 2020 | به روز شده در 9 مارس 2020

بولتن امنیتی اندروید حاوی جزئیاتی از آسیب پذیری های امنیتی است که بر دستگاه های اندرویدی تأثیر می گذارد. سطوح وصله امنیتی 2020-03-05 یا جدیدتر همه این مشکلات را برطرف می کند. برای آشنایی با نحوه بررسی سطح وصله امنیتی دستگاه، به بررسی و به‌روزرسانی نسخه Android خود مراجعه کنید.

شرکای Android حداقل یک ماه قبل از انتشار از همه مشکلات مطلع می شوند. وصله کد منبع برای این مشکلات در مخزن پروژه منبع باز Android (AOSP) منتشر شده و از این بولتن پیوند داده شده است. این بولتن همچنین شامل پیوندهایی به وصله های خارج از AOSP است.

شدیدترین این مسائل یک آسیب پذیری امنیتی حیاتی در چارچوب رسانه است که می تواند یک مهاجم راه دور را با استفاده از یک فایل ساخته شده خاص قادر به اجرای کد دلخواه در چارچوب یک فرآیند ممتاز کند. ارزیابی شدت بر اساس تأثیری است که بهره‌برداری از آسیب‌پذیری احتمالاً روی دستگاه آسیب‌دیده می‌گذارد، با این فرض که پلت‌فرم و تخفیف‌های سرویس برای اهداف توسعه خاموش شده‌اند یا در صورت دور زدن موفقیت‌آمیز انجام شوند.

برای جزئیات بیشتر در مورد حفاظت های پلتفرم امنیتی اندروید و Google Play Protect که امنیت پلتفرم اندروید را بهبود می بخشد، به بخش کاهش دهنده های Android و Google Play Protect مراجعه کنید.

کاهش خدمات اندروید و گوگل

این خلاصه‌ای از کاهش‌های ارائه شده توسط پلتفرم امنیتی Android و محافظت‌های خدماتی مانند Google Play Protect است. این قابلیت ها احتمال سوء استفاده موفقیت آمیز از آسیب پذیری های امنیتی در اندروید را کاهش می دهد.

  • بهره برداری از بسیاری از مسائل در اندروید با پیشرفت در نسخه های جدیدتر پلتفرم اندروید دشوارتر شده است. ما همه کاربران را تشویق می کنیم تا در صورت امکان به آخرین نسخه اندروید بروزرسانی کنند.
  • تیم امنیتی Android به طور فعال از طریق Google Play Protect برای سوء استفاده نظارت می کند و به کاربران در مورد برنامه های بالقوه مضر هشدار می دهد. Google Play Protect به طور پیش‌فرض در دستگاه‌های دارای سرویس‌های Google Mobile فعال است و به ویژه برای کاربرانی که برنامه‌هایی را از خارج از Google Play نصب می‌کنند، مهم است.

جزئیات آسیب پذیری سطح وصله امنیتی 01/03/2020

در بخش‌های زیر، جزئیات مربوط به هر یک از آسیب‌پذیری‌های امنیتی را که در سطح وصله 01-03-2020 اعمال می‌شود، ارائه می‌کنیم. آسیب پذیری ها تحت مؤلفه ای که بر آن تأثیر می گذارند گروه بندی می شوند. مسائل در جداول زیر توضیح داده شده اند و شامل شناسه CVE، مراجع مرتبط، نوع آسیب پذیری ، شدت و نسخه های به روز شده AOSP (در صورت لزوم) می باشند. هنگامی که در دسترس باشد، تغییر عمومی را که مشکل را حل کرده است، مانند لیست تغییرات AOSP، به شناسه اشکال مرتبط می کنیم. هنگامی که تغییرات متعدد به یک باگ مربوط می شود، ارجاعات اضافی به اعدادی که پس از شناسه اشکال مرتبط هستند، مرتبط می شوند. دستگاه‌های دارای Android 10 و بالاتر ممکن است به‌روزرسانی‌های امنیتی و همچنین به‌روزرسانی‌های سیستم Google Play را دریافت کنند.

چارچوب

آسیب‌پذیری در این بخش می‌تواند یک برنامه مخرب محلی را قادر سازد تا از حفاظت‌های سیستم عاملی که داده‌های برنامه را از سایر برنامه‌ها جدا می‌کند دور بزند.

CVE منابع تایپ کنید شدت نسخه های AOSP به روز شده
CVE-2020-0031 A-141703197 [ 2 ] شناسه بالا 10

چارچوب رسانه ای

شدیدترین آسیب‌پذیری در این بخش می‌تواند یک مهاجم از راه دور را با استفاده از یک فایل ساخته‌شده خاص قادر به اجرای کد دلخواه در چارچوب یک فرآیند ممتاز کند.

CVE منابع تایپ کنید شدت نسخه های AOSP به روز شده
CVE-2020-0032 الف-145364230 RCE بحرانی 8.0، 8.1، 9، 10
CVE-2020-0033 الف-144351324 EoP بالا 8.0، 8.1، 9، 10
CVE-2020-0034 A-62458770 شناسه بالا 8.0، 8.1

سیستم

شدیدترین آسیب پذیری در این بخش می تواند یک برنامه مخرب محلی را قادر سازد تا الزامات تعامل کاربر را برای دسترسی به مجوزهای اضافی دور بزند.

CVE منابع تایپ کنید شدت نسخه های AOSP به روز شده
CVE-2020-0036 الف-144679405 EoP بالا 8.0، 8.1، 9، 10
CVE-2020-0035 الف-140622024 شناسه بالا 8.0، 8.1، 9
CVE-2020-0029 الف-140065828 شناسه بالا 10
CVE-2020-0037 الف-143106535 شناسه بالا 8.0، 8.1، 9، 10
CVE-2020-0038 الف-143109193 شناسه بالا 8.0، 8.1، 9، 10
CVE-2020-0039 الف-143155861 شناسه بالا 8.0، 8.1، 9، 10

به روز رسانی سیستم گوگل پلی

موضوع زیر در اجزای Project Mainline گنجانده شده است.

مولفه CVE
کدک های رسانه ای CVE-2020-0032

جزئیات آسیب پذیری سطح وصله امنیتی 05/03/2020

در بخش‌های زیر، جزئیات مربوط به هر یک از آسیب‌پذیری‌های امنیتی مربوط به سطح وصله ۰۵-۰۳-۲۰۲۰ را ارائه می‌کنیم. آسیب‌پذیری‌ها تحت مؤلفه‌ای که بر آن تأثیر می‌گذارند گروه‌بندی می‌شوند و شامل جزئیاتی مانند CVE، مراجع مرتبط، نوع آسیب‌پذیری ، شدت ، مؤلفه (در صورت لزوم) و نسخه‌های به‌روزشده AOSP (در صورت لزوم) می‌شوند. هنگامی که در دسترس باشد، تغییر عمومی را که مشکل را حل کرده است به شناسه اشکال مرتبط می کنیم، مانند لیست تغییرات AOSP. هنگامی که تغییرات متعدد به یک باگ مربوط می شود، ارجاعات اضافی به اعدادی که پس از شناسه اشکال مرتبط هستند، مرتبط می شوند.

اجزای هسته

شدیدترین آسیب پذیری در این بخش می تواند یک مهاجم محلی را با استفاده از یک دستگاه USB ساخته شده ویژه قادر به اجرای کد دلخواه در چارچوب یک فرآیند ممتاز کند.

CVE منابع تایپ کنید شدت مولفه
CVE-2019-19527 الف-146257915
هسته بالادست [ 2 ]
EoP بالا یو اس بی
CVE-2019-19537 الف-146258055
هسته بالادست
EoP بالا یو اس بی
CVE-2019-15239 الف-143009752
هسته بالادست
EoP بالا شبکه سازی
CVE-2020-0041 الف-145988638
هسته بالادست
EoP بالا کلاسور

اجزای FPC

شدیدترین آسیب پذیری در این بخش می تواند یک برنامه مخرب محلی را قادر سازد تا الزامات تعامل کاربر را برای دسترسی به مجوزهای اضافی دور بزند.

CVE منابع تایپ کنید شدت مولفه
CVE-2020-0010 الف-137014293 * EoP بالا TEE اثر انگشت FPC
CVE-2020-0011 A-137648045 * EoP بالا TEE اثر انگشت FPC
CVE-2020-0012 الف-137648844 * EoP بالا TEE اثر انگشت FPC
CVE-2020-0042 A-137649599 * شناسه در حد متوسط TEE اثر انگشت FPC
CVE-2020-0043 A-137650218 * شناسه در حد متوسط TEE اثر انگشت FPC
CVE-2020-0044 A-137650219 * شناسه در حد متوسط TEE اثر انگشت FPC

اجزای مدیاتک

CVE منابع تایپ کنید شدت مولفه
CVE-2020-0069 A-147882143 *
M-ALPS04356754
EoP بالا سیستم

قطعات کوالکام

این آسیب‌پذیری‌ها بر اجزای کوالکام تأثیر می‌گذارند و با جزئیات بیشتر در بولتن امنیتی یا هشدار امنیتی کوالکام توضیح داده شده‌اند. ارزیابی شدت این مسائل به طور مستقیم توسط کوالکام ارائه شده است.

CVE منابع تایپ کنید شدت مولفه
CVE-2019-14079 الف-138848422
QC-CR#2521001
N/A بالا یو اس بی
CVE-2018-11838 الف-145545090
QC-CR#221457 [ 2 ]
N/A بالا WLAN
CVE-2019-10526 الف-145544085
QC-CR#2232526
QC-CR#2541970
N/A بالا WLAN
CVE-2019-10569 الف-145545820
QC-CR#2315791
N/A بالا سمعی
CVE-2019-14029 الف-145546793
QC-CR#2528795
N/A بالا گرافیک
CVE-2019-14032 الف-145546652
QC-CR#2537311
N/A بالا سمعی
CVE-2019-14068 الف-145546435
QC-CR#2507653 [ 2 ]
N/A بالا سمعی
CVE-2019-14072 الف-145545251
QC-CR#2509391
N/A بالا گرافیک

اجزای منبع بسته کوالکام

این آسیب‌پذیری‌ها بر اجزای منبع بسته کوالکام تأثیر می‌گذارند و در بولتن امنیتی یا هشدار امنیتی مناسب کوالکام با جزئیات بیشتر توضیح داده شده‌اند. ارزیابی شدت این مسائل به طور مستقیم توسط کوالکام ارائه شده است.

CVE منابع تایپ کنید شدت مولفه
CVE-2019-2317 الف-134436812 * N/A بحرانی جزء منبع بسته
CVE-2019-10586 الف-140423909 * N/A بحرانی جزء منبع بسته
CVE-2019-10587 الف-140423816 * N/A بحرانی جزء منبع بسته
CVE-2019-10593 الف-140424165 * N/A بحرانی جزء منبع بسته
CVE-2019-10594 الف-140424564 * N/A بحرانی جزء منبع بسته
CVE-2019-10612 الف-140423161 * N/A بحرانی جزء منبع بسته
CVE-2019-14031 A-142271912 * N/A بحرانی جزء منبع بسته
CVE-2019-14045 A-140973418 * N/A بحرانی جزء منبع بسته
CVE-2019-14071 A-145545489 * N/A بحرانی جزء منبع بسته
CVE-2019-14083 A-140973259 * N/A بحرانی جزء منبع بسته
CVE-2019-14086 A-140973417 * N/A بحرانی جزء منبع بسته
CVE-2019-14030 A-145546515 * N/A بحرانی جزء منبع بسته
CVE-2019-14097 A-145546003 * N/A بحرانی جزء منبع بسته
CVE-2019-14098 الف-145546314 * N/A بحرانی جزء منبع بسته
CVE-2019-10546 A-145545250 * N/A بحرانی جزء منبع بسته
CVE-2019-14095 الف-142843397 * N/A بحرانی جزء منبع بسته
CVE-2018-11970 A-114042111 * N/A بالا جزء منبع بسته
CVE-2019-10603 الف-140424074 * N/A بالا جزء منبع بسته
CVE-2019-10616 الف-140423338 * N/A بالا جزء منبع بسته
CVE-2019-10549 الف-140423162 * N/A بالا جزء منبع بسته
CVE-2019-10550 الف-140423702 * N/A بالا جزء منبع بسته
CVE-2019-10552 الف-140423817 * N/A بالا جزء منبع بسته
CVE-2019-10553 الف-140423081 * N/A بالا جزء منبع بسته
CVE-2019-10554 A-140424012 * N/A بالا جزء منبع بسته
CVE-2019-10577 الف-140424166 * N/A بالا جزء منبع بسته
CVE-2019-14026 الف-142271986 * N/A بالا جزء منبع بسته
CVE-2019-14027 الف-142271756 * N/A بالا جزء منبع بسته
CVE-2019-14028 الف-142271831 * N/A بالا جزء منبع بسته
CVE-2019-2300 الف-142271659 * N/A بالا جزء منبع بسته
CVE-2019-2311 A-142271967 * N/A بالا جزء منبع بسته
CVE-2019-14050 A-143902706 * N/A بالا جزء منبع بسته
CVE-2019-14081 الف-143902882 * N/A بالا جزء منبع بسته
CVE-2019-14082 A-140974589 * N/A بالا جزء منبع بسته
CVE-2019-14085 A-143902807 * N/A بالا جزء منبع بسته
CVE-2019-14048 A-145545282 * N/A بالا جزء منبع بسته
CVE-2019-14061 A-145545758 * N/A بالا جزء منبع بسته
CVE-2019-10604 A-145545725 * N/A بالا جزء منبع بسته
CVE-2019-10591 الف-145545283 * N/A بالا جزء منبع بسته
CVE-2019-14000 A-145546434 * N/A بالا جزء منبع بسته
CVE-2019-14015 A-145545650 * N/A بالا جزء منبع بسته

پرسش و پاسخ متداول

این بخش به سوالات متداولی که ممکن است پس از خواندن این بولتن رخ دهد پاسخ می دهد.

1. چگونه تشخیص دهم که آیا دستگاه من برای رفع این مشکلات به روز شده است؟

برای آشنایی با نحوه بررسی سطح وصله امنیتی دستگاه، به بررسی و به‌روزرسانی نسخه Android خود مراجعه کنید.

  • سطوح وصله امنیتی 2020-03-01 یا جدیدتر تمام مسائل مرتبط با سطح وصله امنیتی 2020-03-01 را برطرف می کند.
  • سطوح وصله امنیتی 2020-03-05 یا بعد از آن، تمام مسائل مرتبط با سطح وصله امنیتی 2020-03-05 و تمام سطوح وصله قبلی را برطرف می کند.

سازندگان دستگاه‌هایی که شامل این به‌روزرسانی‌ها می‌شوند باید سطح رشته وصله را روی موارد زیر تنظیم کنند:

  • [ro.build.version.security_patch]:[01-03-2020]
  • [ro.build.version.security_patch]:[05-03-2020]

برای برخی از دستگاه‌های Android 10 یا بالاتر، به‌روزرسانی سیستم Google Play دارای یک رشته تاریخی است که با سطح وصله امنیتی 01-03-2020 مطابقت دارد. لطفاً برای جزئیات بیشتر در مورد نحوه نصب به‌روزرسانی‌های امنیتی، این مقاله را ببینید.

2. چرا این بولتن دارای دو سطح وصله امنیتی است؟

این بولتن دارای دو سطح وصله امنیتی است تا شرکای Android انعطاف پذیری لازم را داشته باشند تا زیرمجموعه ای از آسیب پذیری ها را که در همه دستگاه های اندرویدی مشابه هستند با سرعت بیشتری برطرف کنند. شرکای Android تشویق می شوند تا تمام مشکلات موجود در این بولتن را برطرف کنند و از آخرین سطح وصله امنیتی استفاده کنند.

  • دستگاه‌هایی که از سطح وصله امنیتی 2020-03-01 استفاده می‌کنند باید شامل تمام مشکلات مرتبط با آن سطح وصله امنیتی و همچنین رفع تمام مشکلات گزارش‌شده در بولتن‌های امنیتی قبلی باشند.
  • دستگاه‌هایی که از سطح وصله امنیتی 2020-03-05 یا جدیدتر استفاده می‌کنند باید همه وصله‌های قابل‌اجرا در این (و قبلی) بولتن‌های امنیتی را شامل شوند.

شرکا تشویق می شوند تا اصلاحات مربوط به همه مشکلاتی را که در حال رفع آنها هستند در یک به روز رسانی واحد جمع کنند.

3. ورودی های ستون Type به چه معناست؟

ورودی های ستون نوع جدول جزئیات آسیب پذیری به طبقه بندی آسیب پذیری امنیتی اشاره دارد.

مخفف تعریف
RCE اجرای کد از راه دور
EoP بالا بردن امتیاز
شناسه افشای اطلاعات
DoS خود داری از خدمات
N/A طبقه بندی در دسترس نیست

4. ورودی های ستون References به چه معناست؟

ورودی‌های زیر ستون مراجع جدول جزئیات آسیب‌پذیری ممکن است حاوی پیشوندی باشد که سازمانی را که مقدار مرجع به آن تعلق دارد، مشخص می‌کند.

پیشوند ارجاع
آ- شناسه باگ اندروید
QC- شماره مرجع کوالکام
M- شماره مرجع مدیاتک
N- شماره مرجع NVIDIA
ب- شماره مرجع Broadcom

5. یک * در کنار شناسه باگ اندروید در ستون References به چه معناست؟

مسائلی که به صورت عمومی در دسترس نیستند دارای یک * در کنار شناسه اشکال Android در ستون References هستند. به‌روزرسانی برای آن مشکل عموماً در آخرین درایورهای باینری دستگاه‌های Pixel موجود در سایت Google Developer موجود است.

6. چرا آسیب‌پذیری‌های امنیتی بین این بولتن و بولتن‌های امنیتی دستگاه/شریک، مانند بولتن Pixel تقسیم می‌شوند؟

آسیب‌پذیری‌های امنیتی که در این بولتن امنیتی مستند شده‌اند برای اعلام آخرین سطح وصله امنیتی در دستگاه‌های اندرویدی مورد نیاز هستند. آسیب‌پذیری‌های امنیتی اضافی که در بولتن‌های امنیتی دستگاه/شریک مستند شده‌اند، برای اعلام سطح وصله امنیتی لازم نیست. سازندگان دستگاه‌ها و چیپ‌ست‌های Android نیز ممکن است جزئیات آسیب‌پذیری امنیتی خاص محصولات خود را منتشر کنند، مانند Google ، Huawei ، LGE ، Motorola ، Nokia یا Samsung .

نسخه ها

نسخه تاریخ یادداشت
1.0 2 مارس 2020 بولتن منتشر شد
1.1 3 مارس 2020 بولتن اصلاح شد تا شامل پیوندهای AOSP باشد
1.2 9 مارس 2020 لیست مسائل به روز شد